%ifnarch %{ocaml_native_compiler}
%global debug_package %{nil}
%endif

Name:           ocaml-base64
Version:        3.5.1
Release:        %mkrel 1
Summary:        Base64 encoding and decoding library for OCaml
License:        ISC
Group:          Development/OCaml
URL:            https://github.com/mirage/ocaml-base64
VCS:            git:%{url}.git
Source0:        %{url}/releases/download/v%{version}/base64-%{version}.tbz
BuildRequires:  ocaml
BuildRequires:  ocaml-dune

# Test dependencies
BuildRequires:  ocaml-alcotest-devel
BuildRequires:  ocaml-bos-devel
BuildRequires:  ocaml-fmt-devel
BuildRequires:  ocaml-rresult-devel

%description
Base64 is a group of similar binary-to-text encoding schemes that
represent binary data in an ASCII string format by translating it into
a radix-64 representation. It is specified in RFC 4648.

%package devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
Development files for %{name}.

%prep
%autosetup -n base64-%{version}

%build
# Only build the source and test directories since the other directories
# require packages that we don't have or need.
rm -r bench fuzz
%dune_build

%install
%dune_install

%check
%dune_check

%files -f .ofiles
%doc README.md
%license LICENSE.md

%files devel -f .ofiles-devel
%doc CHANGES.md



%changelog
* Sat Apr 05 2025 pterjan <pterjan> 3.5.1-1.mga10
+ Revision: 2173721
- Update to 3.5.1

* Thu Oct 20 2022 pterjan <pterjan> 3.5.0-4.mga9
+ Revision: 1898083
- Fix BuildRequires

* Thu May 19 2022 pterjan <pterjan> 3.5.0-3.mga9
+ Revision: 1859002
- Rebuild for OCaml 4.14

* Tue Mar 29 2022 umeabot <umeabot> 3.5.0-2.mga9
+ Revision: 1833145
- Mageia 9 Mass Rebuild

* Thu Oct 14 2021 tv <tv> 3.5.0-1.mga9
+ Revision: 1751390
- 3.5.0
- No more debuginfo...

* Tue Mar 23 2021 tv <tv> 3.4.0-1.mga9
+ Revision: 1708269
- 3.4.0

* Sun Jan 10 2021 pterjan <pterjan> 3.2.0-0.4.mga8
+ Revision: 1670431
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 3.2.0-0.3.mga8
+ Revision: 1551479
- Rebuild for ocaml 4.10.0 final

* Thu Feb 20 2020 umeabot <umeabot> 3.2.0-0.2.mga8
+ Revision: 1545889
- Mageia 8 Mass Rebuild

* Thu Jan 30 2020 tv <tv> 3.2.0-0.1.mga8
+ Revision: 1485421
- new release + rebuild for ocaml-4.10

* Tue Oct 23 2018 tv <tv> 2.2.0-2.mga7
+ Revision: 1324102
- rebuild with ocaml-4.07.1

* Mon Aug 27 2018 daviddavid <daviddavid> 2.2.0-1.mga7
+ Revision: 1255056
- new version: 2.2.0
- switch to jbuilder

* Mon Jan 15 2018 tv <tv> 2.1.2-1.mga7
+ Revision: 1193678
- new release
- move some files back into -devel

* Sun Nov 26 2017 tv <tv> 2.0.0-3.mga7
+ Revision: 1179665
- BR ocaml-ocamlbuild
- rebuild for new ocaml

* Thu Nov 24 2016 neoclust <neoclust> 2.0.0-2.mga6
+ Revision: 1069777
- Rebuild against fixed ocaml

* Fri Feb 12 2016 pterjan <pterjan> 2.0.0-1.mga6
+ Revision: 957243
- imported package ocaml-base64

